summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/inventory_cache/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/inventory_cache/runme.sh')
-rwxr-xr-xtest/integration/targets/inventory_cache/runme.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/integration/targets/inventory_cache/runme.sh b/test/integration/targets/inventory_cache/runme.sh
new file mode 100755
index 0000000..942eb82
--- /dev/null
+++ b/test/integration/targets/inventory_cache/runme.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+set -eux
+
+export ANSIBLE_INVENTORY_PLUGINS=./plugins/inventory
+
+cleanup() {
+ for f in ./cache/ansible_inventory*; do
+ if [ -f "$f" ]; then rm -rf "$f"; fi
+ done
+}
+
+trap 'cleanup' EXIT
+
+# Test no warning when writing to the cache for the first time
+test "$(ansible-inventory -i cache_host.yml --graph 2>&1 | tee out.txt | grep -c '\[WARNING\]')" = 0
+writehost="$(grep "testhost[0-9]\{1,2\}" out.txt)"
+
+# Test reading from the cache
+test "$(ansible-inventory -i cache_host.yml --graph 2>&1 | tee out.txt | grep -c '\[WARNING\]')" = 0
+readhost="$(grep 'testhost[0-9]\{1,2\}' out.txt)"
+
+test "$readhost" = "$writehost"
+
+ansible-inventory -i exercise_cache.yml --graph